cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
306
Views
1
Helpful
6
Replies
khgrant
Cisco Employee

Tail-f HCC Package

I am trying to setup the HA cluster for NCS , I am trying to install the tail-hcc package.

/var/opt/ncs/packages

[root@nso-172-62 packages]# ls

ncs-3.3-tailf-hcc-3.0.9.tar.gz  ncs-3.4-quagga-bgp-3.1.0.1_21ae8a0.tar.gz

admin@ncs> request packages reload

>>> System upgrade is starting.

>>> Sessions in configure mode must exit to operational mode.

>>> No configuration changes can be performed until upgrade has completed.

>>> System upgrade has been cancelled.

Error: /var/opt/ncs/state/packages-in-use/1/tailf-hcc/load-dir/tailf-ned-tailf-hcc-id.fxs: Must be recompiled!

[error][2015-05-27 18:55:00]

Currently the NCS version running is 3.4.1

I get the above error. Could you let me know the upgrade version of ncs needed.

1 ACCEPTED SOLUTION

Accepted Solutions
khgrant
Cisco Employee

I think Sujay has simplified the logs, he sent. I gave him the packages and asked to copy packages in folder “/opt/ncs/packages” and create sym-links for these packages in “/var/opt/ncs/packages”.

Sujay, at the moment your problem looks to be that the packages being imcompatible with NCS version you have. I don’t there is any change in quagga packages. So if you just recompile the packages (under your NCS version), you should be fine.

View solution in original post

6 REPLIES 6
khgrant
Cisco Employee

If you are running NCS 3.4.1, you may want to consider running the most recent version of HCC package (ncs-3.4.1-tailf-hcc-3.0.9.1.tar.gz). Copying Larry to see if this latest version is ready to be shared.

khgrant
Cisco Employee

Please remove the tar.gz files from the packages folder. There should be nothing else that the packages you want to load there.

khgrant
Cisco Employee

I think Sujay has simplified the logs, he sent. I gave him the packages and asked to copy packages in folder “/opt/ncs/packages” and create sym-links for these packages in “/var/opt/ncs/packages”.

Sujay, at the moment your problem looks to be that the packages being imcompatible with NCS version you have. I don’t there is any change in quagga packages. So if you just recompile the packages (under your NCS version), you should be fine.

View solution in original post

khgrant
Cisco Employee

Yes use the new package that Nik has mentioned, I think Imran is successfully using it.

The problem experienced below is that you are trying to run  ncs-3.3-tailf-hcc-3.0.9.tar.gz built for 3.3 with NCS 3.4.

khgrant
Cisco Employee

Configuring the ha cluster config , I am able to see the master node but not the slave node.

[root@nso-172-62 ~]# hostname

nso-172-62

[root@nso-172-62 ~]# ncs_cli -u admin

admin connected from 10.156.49.88 using ssh on nso-172-62

admin@ncs> show ha-cluster

NAME        STATUS  

---------------------

nso-172-62  master  

nso-172-63  unknown

admin@ncs% show ha-cluster

auto-start disable;

master-ip {

    enable;

    vip    10.10.10.1;

    member nso-172-62 {

        interface ens224;

    }

    member nso-172-63 {

        interface ens224;

    }

}

members nso-172-62 {

    address 10.10.30.3;

    role    master;

}

members nso-172-63 {

    address            10.10.20.3;

    role               slave;

    transition-enabled true;

    master-capable     true;

}

[ok][2015-05-28 16:56:37]

[edit]

admin@ncs%

Could you please let me know if anything is missed.

khgrant
Cisco Employee

Could you please share the path wiki or repository for the Tailf-f HCC and other packages needed for NCS – HA setup.

Content for Community-Ad